{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
 	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="https://code.highcharts.com/css/highcharts.css"/>	
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
	
<!--===============================================================================================

-->
<style>
.highcharts-color-0 {
  fill: rgb(76,187,23);
  stroke: rgb(40,97,152);
}
.highcharts-color-1 {
  fill: rgb(194,24,7);
  stroke: rgb(40,97,152);
}
.highcharts-color-2 {
  fill: rgb(16,52,166);
  stroke: rgb(40,97,152);
}
</style>

</head>
<body>
<div id="container5" class="pie-chart" width="100%"></div>	
 
<script src="{% static 'js/highstock.js'%}"></script>
<script src="{% static 'js/lang.js'%}"></script>

<script>
// Variable to store the sentiment data which will draw the sentiment pie chart
var sentiments={{sentiments|safe}}
var id ={{id|safe}}
var language=parent.document.getElementById("mbPOCControlsLangDrop")
var arabic={ایجابي:"Positive",سلبي:"Negative",محاید:"Neutral"
}
parent.length={{length|safe}}
parent.count=0
function top_sentiments(){
return [["ایجابي",sentiments[0],false,false],["سلبي",sentiments[1],false,false],["محاید",sentiments[2],false,false]]

}
var chart4=Highcharts.chart('container5', {

    chart: {
        styledMode: true
    },
    title: {
        text: ''
    },
    legend: {
	itemDistance:60,
        useHTML:true,
	labelFormat:'<b data-mlr-text style="font-size:15px">{name}</b>'
    },


    xAxis: {
        categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
    },
	tooltip: {
	useHTML:true,     
     formatter: function(){
	var headerFormat;
	var  pointFormat='<br />'+ parseInt(this.percentage)+' %<br />Total: '+this.y+'<br />'

	if(language.value=="English"){
         headerFormat=arabic[this.key]
	}
	else{
	headerFormat=this.key;
	}
	return [headerFormat,pointFormat]
	},
    },
	 plotOptions:{

	 pie:{
	 		 colorsIndex: ['#008000', '#FF0000', '#0000FF'],
			 dataLabels: {
          enabled: true,
	  useHTML:true,
	 
          format: '<b data-mlr-text style="font-size:13px">{point.name}</b><br />{point.percentage:.0f} %<br />Total: {point.y}'

 }

	 }
	 },
    series: [{
        type: 'pie',
        allowPointSelect: true,
        keys: ['name', 'y', 'selected', 'sliced'],
        data: top_sentiments(),
		point: {
                    events: {
					click: function(){
// Function to call when a pie portion is selected this.name shows the portion selected

if(!this.selected){
index=nthIndex(window.location.toString(),"/",7)
end=(window.location.toString()).slice(index,(window.location.toString()).length)
src="http://34.66.198.6/"+id+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src="http://34.66.198.6/"+id+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+=arabic[this.name]+"/"+parent.document.getElementById("sel").value+end
parent.loadIframe("twitter","//:0")
parent.loadIframe("twitter",src)

src="http://34.66.198.6/"+id+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+=arabic[this.name]+"/"+parent.document.getElementById("sel").value+end
parent.loadIframe("word-cloud","//:0")
parent.loadIframe("word-cloud",src)
parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")


}

else{

index=nthIndex(window.location.toString(),"/",7)
end=(window.location.toString()).slice(index,(window.location.toString()).length)

src="http://34.66.198.6/"+id+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+="All/"+parent.document.getElementById("sel").value+end
parent.loadIframe("twitter","//:0")
parent.loadIframe("twitter",src)

src="http://34.66.198.6/"+id+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+="All/"+parent.document.getElementById("sel").value+end
parent.loadIframe("word-cloud","//:0");
parent.loadIframe("word-cloud",src)
parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")

}



}
					
					
					}
        
		},
        showInLegend: true
    }]
});
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++<L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	
</script>	
 </script>
</body>
</html>
